/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/***************************************************************************
 *            dv1394.h
 *
 *  Tue Apr 19 12:10:34 CEST 2005
 *  Copyright  2005 Bent Bisballe
 *  deva@aasimon.org
 ****************************************************************************/

/*
 *    This file is part of MIaV.
 *
 *    MIaV is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    MIaV is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MIaV; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */

/*
 * $Id: dv1394.h,v 1.5 2005/05/03 17:13:25 deva Exp $
 */

/*
 * $Log: dv1394.h,v $
 * Revision 1.5  2005/05/03 17:13:25  deva
 * Fixed some missong Info object references.
 *
 * Revision 1.4  2005/05/03 08:31:59  deva
 * Removed the error object, and replaced it with a more generic info object.
 *
 * Revision 1.3  2005/05/01 09:56:26  deva
 * Added Id and Log tags to all files
 */

#include <config.h>
#ifndef __MIAV_DV1394_H__
#define __MIAV_DV1394_H__

#ifdef USE_GUI

#include <libraw1394/raw1394.h>

#include "info.h"

class dv1394 {
public:
  dv1394(Info* ginfo, int port = 0, int channel = 63); // 63 is default channel... sucks.
  ~dv1394();

  unsigned char *readFrame();

private:
  raw1394handle_t handle;
  Info *info;
};

#endif/*__MIAV_DV1394_H__*/
#endif/*USE_GUI*/
